Results 1 to 6 of 6

Thread: citrix-client on opensuse 12.2 - half-way-installation plz help

  1. #1

    Default citrix-client on opensuse 12.2 - half-way-installation plz help

    tried to install the citrix-client on a opensuse 12.2


    well i tock the manual form this website -


    see this link: How to Install Citrix Receiver for Linux 12.0 on openSUSE 12.1 | http://www.itswapshop.com


    How to Install Citrix Receiver for Linux 12.0 on openSUSE 12.1
    Submitted by ingram on Sun, 02/05/2012 - 10:53am
    Printer-friendly versionPDF version
    Citrix Receiver

    Citrix Receiver for Linux is software that lets you access enterprise data, applications, and desktops from any Linux workstation. Although you should be able to install Citrix Receiver on any distribution of Linux, this tutorial is designed and tested for openSUSE 12.1 32 bit. If you want to install Citrix Receiver for Ubuntu, check out this tutorial. To download Citrix Receiver, go to the download page and download the .rpm file for x86 systems:

    Downloads - Citrix

    To install Citrix Receiver, dependencies, and make Firefox's certificates available to Citrix, run these commands (this assumes you downloaded the .rpm package into the Download folder):

    PHP Code:
    sudo zypper addrepo -f http://ftp.gwdg.de/pub/linux/packman/suse/12.1/ packman
    sudo zypper refresh
    cd 
    ~/Downloads
    wget http
    ://www.openmotif.org/files/public_downloads/openmotif/2.3/2.3.3/openmotif-2.3.3-1.suse10.3.i586.rpm
    sudo zypper install ./openmotif-2.3.3-1.suse10.3.i586.rpm ./ICAClient-12.0.0-0.i386.rpm ffmpeg
    sudo cp 
    /usr/share/ca-certificates/mozilla/* /opt/Citrix/ICAClient/keystore/cacerts 
    see this link: How to Install Citrix Receiver for Linux 12.0 on openSUSE 12.1 | http://www.itswapshop.com


    well afterwards i did the following - and i guess that this was a very ver wrong step!!!!

    PHP Code:
    martin@linux-ale9:~> 
    martin@linux-ale9:~> sudo zypper addrepo -f http://ftp.gwdg.de/pub/linux/packman/suse/12.1/ packman 
    We trust you have received the usual lecture from the local System
    Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

    PHP Code:
    root's password:
    Sorry, try again.
    root'
    s password:
    Repository 'packman' will get added ................................................................................[ready]
    Repository 'packman' added sucessfully
    Activated
    yes 
    Auto update
    yes
    GPG
    -checkyes
    URI
    http://ftp.gwdg.de/pub/linux/packman/suse/12.1/

    martin@linux-ale9:~> 
    well - the logo of che citrix is visible

    but it does not start- what can i do?

    which checks can help now?!?
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  2. #2

    Default Re: citrix-client on opensuse 12.2 - half-way-installation plz help

    Well, you're on 12.2, aren't you? But you added the packman repo for 12.1! So please type
    Code:
    sudo zypper removerepo packman
    sudo zypper addrepo -f http://ftp.gwdg.de/pub/linux/packman/suse/12.2/ packman
    You apparently installed the 12.1 rpm of ffmpeg, so please install it again after doing the above:
    Code:
    sudo zypper in -f ffmpeg
    Also openmotif is available in the standard openSUSE non-oss repo, which should be available by default. You should install it from there instead of downloading a 10.3 rpm, I would say.
    Code:
    sudo zypper in -f openmotif
    If the citrix client still doesn't work then, please try running it in a console and post the output here!

  3. #3

    Default Re: citrix-client on opensuse 12.2 - half-way-installation plz help

    hello dear buddy

    first of all - many many thanks for the quick help - great you pointed out the right thing.
    youre right - i am on 12.2


    see what i got - with your first two steps:


    the first one


    PHP Code:
    linux-ale9:/home/martin #  sudo zypper removerepo packman
    Removing repository 'packman' ..........................................................................................[done]
    Repository 'packman' has been removed.
    linux-ale9:/home/martin # sudo zypper addrepo -f http://ftp.gwdg.de/pub/linux/packman/suse/12.2/ packman
    Adding repository 'packman' ............................................................................................[done]
    Repository 'packman' successfully added
    Enabled
    Yes
    Autorefresh
    Yes
    GPG check
    Yes
    URI
    http://ftp.gwdg.de/pub/linux/packman/suse/12.2/ 
    the second step -....

    PHP Code:
    linux-ale9:/home/martin 
    linux-ale9:/home/martin 
    linux-ale9:/home/martin # sudo zypper in -f ffmpeg
    Retrieving repository 'packman' metadata ...............................................................................[done]
    Building repository 'packman' cache ....................................................................................[done]
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'ffmpeg-1.0.6-1.1.i586' from repository 'packman'.
    Resolving package dependencies...

    Problemffmpeg-1.0.6-1.1.i586 requires libavutil51 1.0.6but this requirement cannot be provided
      uninstallable providers
    libavutil51-1.0.6-1.1.i586[packman]
     
    Solution 1replacement of libavutil51-0.11.1-3.1.2.i586 with libavutil51-1.0.6-1.1.i586
     Solution 2
    : do not install ffmpeg-1.0.6-1.1.i586
     Solution 3
    : break ffmpeg-1.0.6-1.1.i586 by ignoring some of its dependencies

    Choose from above solutions by number 
    or cancel [1/2/3/c] (c): 
    well i am not sure - what to choose!?

    can xou advice

    thx in advance !!!
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  4. #4

    Default Re: citrix-client on opensuse 12.2 - half-way-installation plz help

    Seems you have an older version of ffmpeg already installed.
    Just choose Solution 1 to upgrade to the newer version...

  5. #5

    Default Re: citrix-client on opensuse 12.2 - half-way-installation plz help

    hello again

    many thanks


    Quote Originally Posted by wolfi323 View Post
    Seems you have an older version of ffmpeg already installed.
    Just choose Solution 1 to upgrade to the newer version...

    i followed your advice - see

    PHP Code:

    linux
    -ale9:/home/martin # sudo zypper in -f ffmpeg
    Retrieving repository 'packman' metadata ...............................................................................[done]
    Building repository 'packman' cache ....................................................................................[done]
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'ffmpeg-1.0.6-1.1.i586' from repository 'packman'.
    Resolving package dependencies...

    Problemffmpeg-1.0.6-1.1.i586 requires libavutil51 1.0.6but this requirement cannot be provided
      uninstallable providers
    libavutil51-1.0.6-1.1.i586[packman]
     
    Solution 1replacement of libavutil51-0.11.1-3.1.2.i586 with libavutil51-1.0.6-1.1.i586
     Solution 2
    : do not install ffmpeg-1.0.6-1.1.i586
     Solution 3
    : break ffmpeg-1.0.6-1.1.i586 by ignoring some of its dependencies

    Choose from above solutions by number 
    or cancel [1/2/3/c] (c): 1
    Resolving dependencies
    ...
    Resolving package dependencies...

    The following NEW packages are going to be installed:
      
    ffmpeg fribidi libass4 libavcodec54 libavdevice54 libavfilter3 libavformat54 libavresample0 libmp3lame0 libopencore-amrnb0 
      libopencore
    -amrwb0 libopus0 libpostproc52 librtmp0 libswresample0 libswscale2 libtwolame0 libvo-aacenc0 libvpx1 libx264-129 
      libxvidcore4 

    The following package is going to be upgraded
    :
      
    libavutil51 

    The following package is going to change vendor
    :
      
    libavutil51  openSUSE -> http://packman.links2linux.de


    1 package to upgrade21 new, 1 to change vendor.
    Overall download size5.9 MiBAfter the operationadditional 18.4 MiB will be used.
    Continue? [
    y/n/?] (y): y
    Retrieving package libvpx1
    -1.2.0-7.2.i586                                               (1/22), 232.1 KiB (699.3 KiB unpacked)
    Retrievinglibvpx1-1.2.0-7.2.i586.rpm .................................................................................[done]
    Retrieving package libtwolame0-0.3.13-2.5.i586                                          (2/22),  44.0 KiB (117.8 KiB unpacked)
    Retrievinglibtwolame0-0.3.13-2.5.i586.rpm ............................................................................[done]
    Retrieving package libmp3lame0-3.99.5-1002.5.i586                                       (3/22), 129.8 KiB (310.8 KiB unpacked)
    Retrievinglibmp3lame0-3.99.5-1002.5.i586.rpm .........................................................................[done]
    Retrieving package libopencore-amrwb0-0.1.3-4.6.i586                                    (4/22),  49.8 KiB 91.4 KiB unpacked)
    Retrievinglibopencore-amrwb0-0.1.3-4.6.i586.rpm ......................................................................[done]
    Retrieving package libxvidcore4-1.3.2-2.5.i586                                          (5/22), 187.6 KiB (730.5 KiB unpacked)
    Retrievinglibxvidcore4-1.3.2-2.5.i586.rpm ............................................................................[done]
    Retrieving package libvo-aacenc0-0.1.2-3.5.i586                                         (6/22),  68.4 KiB (141.2 KiB unpacked)
    Retrievinglibvo-aacenc0-0.1.2-3.5.i586.rpm ...........................................................................[done]
    Retrieving package librtmp0-2.4.git20121102-1.4.i586                                    (7/22),  61.8 KiB (131.7 KiB unpacked)
    Retrievinglibrtmp0-2.4.git20121102-1.4.i586.rpm ......................................................................[done]
    Retrieving package libopencore-amrnb0-0.1.3-4.6.i586                                    (8/22),  94.2 KiB (183.5 KiB unpacked)
    Retrievinglibopencore-amrnb0-0.1.3-4.6.i586.rpm ......................................................................[done]
    Retrieving package libopus0-1.0.2-2.1.i586                                              (9/22), 134.1 KiB (265.0 KiB unpacked)
    Retrievinglibopus0-1.0.2-2.1.i586.rpm ................................................................................[done]
    Retrieving package libx264-129-0.129svn20130224-2.1.i586                               (10/22), 318.2 KiB (890.0 KiB unpacked)
    Retrievinglibx264-129-0.129svn20130224-2.1.i586.rpm ..................................................................[done]
    Retrieving package libavutil51-1.0.6-1.1.i586                                          (11/22),  94.5 KiB (173.5 KiB unpacked)
    Retrievinglibavutil51-1.0.6-1.1.i586.rpm .............................................................................[done]
    Retrieving package libavcodec54-1.0.6-1.1.i586                                         (12/22),   2.6 MiB (  8.3 MiB unpacked)
    Retrievinglibavcodec54-1.0.6-1.1.i586.rpm ..............................................................[done (518.2 KiB/s)]
    Retrieving package libavresample0-1.0.6-1.1.i586                                       (13/22),  53.3 KiB (113.4 KiB unpacked)
    Retrievinglibavresample0-1.0.6-1.1.i586.rpm ..........................................................................[done]
    Retrieving package libswscale2-1.0.6-1.1.i586                                          (14/22), 104.3 KiB (341.4 KiB unpacked)
    Retrievinglibswscale2-1.0.6-1.1.i586.rpm .............................................................................[done]
    Retrieving package libswresample0-1.0.6-1.1.i586                                       (15/22),  52.6 KiB 85.4 KiB unpacked)
    Retrievinglibswresample0-1.0.6-1.1.i586.rpm ..........................................................................[done]
    Retrieving package libpostproc52-1.0.6-1.1.i586                                        (16/22),  64.9 KiB (153.4 KiB unpacked)
    Retrievinglibpostproc52-1.0.6-1.1.i586.rpm ...........................................................................[done]
    Retrieving package fribidi-0.19.2-6.1.2.i586                                           (17/22),  50.0 KiB (184.5 KiB unpacked)
    Retrievingfribidi-0.19.2-6.1.2.i586.rpm ..............................................................................[done]
    Retrieving package libass4-0.10.0-3.1.2.i586                                           (18/22),  54.9 KiB (113.9 KiB unpacked)
    Retrievinglibass4-0.10.0-3.1.2.i586.rpm ..............................................................................[done]
    Retrieving package libavfilter3-1.0.6-1.1.i586                                         (19/22), 270.6 KiB (723.5 KiB unpacked)
    Retrievinglibavfilter3-1.0.6-1.1.i586.rpm ............................................................................[done]
    Retrieving package libavformat54-1.0.6-1.1.i586                                        (20/22), 549.1 KiB (  1.4 MiB unpacked)
    Retrievinglibavformat54-1.0.6-1.1.i586.rpm ...........................................................................[done]
    Retrieving package libavdevice54-1.0.6-1.1.i586                                        (21/22),  50.3 KiB 70.9 KiB unpacked)
    Retrievinglibavdevice54-1.0.6-1.1.i586.rpm ...........................................................................[done]
    Retrieving package ffmpeg-1.0.6-1.1.i586                                               (22/22), 712.5 KiB (  3.5 MiB unpacked)
    Retrievingffmpeg-1.0.6-1.1.i586.rpm ..................................................................................[done]
    Installinglibvpx1-1.2.0-7.2 ..........................................................................................[done]
    Installinglibtwolame0-0.3.13-2.5 .....................................................................................[done]
    Installinglibmp3lame0-3.99.5-1002.5 ..................................................................................[done]
    Installinglibopencore-amrwb0-0.1.3-4.6 ...............................................................................[done]
    Installinglibxvidcore4-1.3.2-2.5 .....................................................................................[done]
    Installinglibvo-aacenc0-0.1.2-3.5 ....................................................................................[done]
    Installinglibrtmp0-2.4.git20121102-1.4 ...............................................................................[done]
    Installinglibopencore-amrnb0-0.1.3-4.6 ...............................................................................[done]
    Installinglibopus0-1.0.2-2.1 .........................................................................................[done]
    Installinglibx264-129-0.129svn20130224-2.1 ...........................................................................[done]
    Installinglibavutil51-1.0.6-1.1 ......................................................................................[done]
    Installinglibavcodec54-1.0.6-1.1 .....................................................................................[done]
    Installinglibavresample0-1.0.6-1.1 ...................................................................................[done]
    Installinglibswscale2-1.0.6-1.1 ......................................................................................[done]
    Installinglibswresample0-1.0.6-1.1 ...................................................................................[done]
    Installinglibpostproc52-1.0.6-1.1 ....................................................................................[done]
    Installingfribidi-0.19.2-6.1.2 .......................................................................................[done]
    Installinglibass4-0.10.0-3.1.2 .......................................................................................[done]
    Installinglibavfilter3-1.0.6-1.1 .....................................................................................[done]
    Installinglibavformat54-1.0.6-1.1 ....................................................................................[done]
    Installinglibavdevice54-1.0.6-1.1 ....................................................................................[done]
    Installingffmpeg-1.0.6-1.1 ...........................................................................................[done]
    linux-ale9:/home/martin 
    and see the following



    PHP Code:

    linux
    -ale9:/home/martin 
    linux-ale9:/home/martin # sudo zypper in -f openmotif
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'openmotif-2.3.3-2.4.1.i586' from repository 'openSUSE-12.2-Update-Non-Oss'.
    Resolving package dependencies...

    The following NEW packages are going to be installed:
      
    openmotif openmotif-libs 

    new packages to install.
    Overall download size1.2 MiBAfter the operationadditional 3.5 MiB will be used.
    Continue? [
    y/n/?] (y): y
    Retrieving package openmotif
    -libs-2.3.3-2.4.1.i586                                       (1/2),   1.1 MiB (  3.1 MiB unpacked)
    Retrievingopenmotif-libs-2.3.3-2.4.1.i586.rpm ..........................................................[done (427.7 KiB/s)]
    Retrieving package openmotif-2.3.3-2.4.1.i586                                            (2/2), 163.5 KiB (427.4 KiB unpacked)
    Retrievingopenmotif-2.3.3-2.4.1.i586.rpm .............................................................................[done]
    Installingopenmotif-libs-2.3.3-2.4.1 .................................................................................[done]
    Installingopenmotif-2.3.3-2.4.1 ......................................................................................[done]
    linux-ale9:/home/martin 
    guess that this is all what was needed

    now i will try to launch the citrix-client
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  6. #6

    Default Re: citrix-client on opensuse 12.2 - half-way-installation plz help

    hello

    now it runs like a charme

    many thanks

    greetings
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •